.\" Copyright (c) 1989, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)mountd.8	8.4 (Berkeley) 4/28/95
.\" $FreeBSD: src/sbin/mountd/mountd.8,v 1.5.2.6 1999/09/05 11:24:07 peter Exp $
.\"
.Dd April 28, 1995
.Dt MOUNTD 8
.Os
.Sh NAME
.Nm mountd
.Nd service remote
.Tn NFS
mount requests
.Sh SYNOPSIS
.Nm mountd
.Op Fl 2dnr
.Op Ar exportsfile
.Sh DESCRIPTION
.Nm Mountd
is the server for
.Tn NFS
mount requests from other client machines.
It listens for service requests at the port indicated in the
.Tn NFS
server specification; see
.%T "Network File System Protocol Specification" ,
RFC1094, Appendix A and
.%T "NFS: Network File System Version 3 Protocol Specification" ,
Appendix I.
.Pp
The following options are available:
.Bl -tag -width indent
.It Fl 2
Allow the administrator to force clients to use only the
version 2
.Tn NFS
protocol to mount filesystems from this server.
.It Fl d
Output debugging information.
.It Fl n
Allow non-root mount requests to be served.
This should only be specified if there are clients such as PC's,
that require it.
It will automatically clear the vfs.nfs.nfs_privport sysctl flag, which
controls if the kernel will accept NFS requests form reserved ports only.
.It Fl r
Allow mount RPCs requests for regular files to be served.
Although this seems to violate the mount protocol specification,
some diskless workstations do mount requests for
their swapfiles and expect them to be regular files.
Since a regular file cannot be specified in
.Pa /etc/exports ,
the entire file system in which the swapfiles resides
will have to be exported with the
.Fl alldirs
flag.
.It Ar exportsfile
Specify an alternate location
for the exports file.
.El
.Pp
When
.Nm
is started,
it loads the export host addresses and options into the kernel
using the mount(2) system call.
After changing the exports file,
a hangup signal should be sent to the
.Nm
daemon
to get it to reload the export information.
After sending the SIGHUP
(kill \-s HUP `cat /var/run/mountd.pid`),
check the syslog output to see if
.Nm
logged any parsing
errors in the exports file.
.Pp
If
.Nm
detects that the running kernel does not include
.Tn NFS
support, it will attempt to load a loadable kernel module containing
.Tn NFS
code, using
.Xr modload 8
by way of
.Xr vfsload 3 .
If this fails, or no
.Tn NFS
LKM was available,
.Nm
exits with an error.
.Sh FILES
.Bl -tag -width /var/run/mountd.pid -compact
.It Pa /etc/exports
the list of exported filesystems
.It Pa /var/run/mountd.pid
the pid of the currently running mountd
.It Pa /var/db/mountdtab
the current list of remote mounted filesystems
.El
.Sh SEE ALSO
.Xr nfsstat 1 ,
.Xr exports 5 ,
.Xr modload 8 ,
.Xr nfsd 8 ,
.Xr portmap 8 ,
.Xr showmount 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Bx 4.4 .
